<template>
  <v-text-field v-bind="attr">
    <template v-for="(item, key, i) in slots" :key="i" v-slot:[key]="data">
      <slot v-if="key" :name="key" v-bind="data"></slot>
    </template>
  </v-text-field>
</template>

<script setup>
import { useAttrs, useSlots } from 'vue'
defineOptions({name: 'ct-input'})
const attr = useAttrs()
const slots = useSlots()
</script>

<style lang="scss" scoped>

</style>